## MMModemCellBroadcast MMModemCellBroadcast — The CellBroadcast interface |

## Functions

const gchar * | mm_modem_cell_broadcast_get_path ()
gchar * | mm_modem_cell_broadcast_dup_path ()
void | mm_modem_cell_broadcast_delete ()
gboolean | mm_modem_cell_broadcast_delete_finish ()
gboolean | mm_modem_cell_broadcast_delete_sync ()
void | mm_modem_cell_broadcast_list ()
GList * | mm_modem_cell_broadcast_list_finish ()
GList * | mm_modem_cell_broadcast_list_sync ()

## Types and Values

struct | MMModemCellBroadcast

## Object Hierarchy

        GObject
        ╰── GDBusProxy
            ╰── MmGdbusModemCellBroadcastProxy
                ╰── MMModemCellBroadcast

## Implemented Interfaces

MMModemCellBroadcast implements GDBusInterface, GInitable, GAsyncInitable and MmGdbusModemCellBroadcast.

## Description

The MMModemCellBroadcast is an object providing access to the methods, signals and properties of the CellBroadcast interface.

The CellBroadcast interface is exposed whenever a modem has cell broadcast capabilities.

## Functions

### mm_modem_cell_broadcast_get_path ()

    const gchar *
    mm_modem_cell_broadcast_get_path (MMModemCellBroadcast *self);

Gets the DBus path of the MMObject which implements this interface.

#### Parameters

self | A MMModemCellBroadcast. |

#### Returns

The DBus path of the MMObject object.

[transfer none]

Since: 1.24

### mm_modem_cell_broadcast_dup_path ()

    gchar *
    mm_modem_cell_broadcast_dup_path (MMModemCellBroadcast *self);

Gets a copy of the DBus path of the MMObject object which implements this interface.

#### Parameters

self | A MMModemCellBroadcast. |

#### Returns

The DBus path of the MMObject. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.24

### mm_modem_cell_broadcast_delete ()

    void
    mm_modem_cell_broadcast_delete (MMModemCellBroadcast *self,
                                    const gchar *cbm,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously deletes a given MMCbm from the modem.

When the operation is finished, `callback` will be invoked in the

thread-default main loop

of the thread you are calling this method from. You can then call `mm_modem_cell_broadcast_delete_finish()` to get the result of the operation.

See `mm_modem_cell_broadcast_delete_sync()` for the synchronous, blocking version of this method.

#### Parameters

self | A MMModemCellBroadcast. |
cbm | Path of the MMCbm to delete. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 1.24

### mm_modem_cell_broadcast_delete_finish ()

    gboolean
    mm_modem_cell_broadcast_delete_finish (MMModemCellBroadcast *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `mm_modem_cell_broadcast_delete()`.

#### Parameters

self | A MMModemCellBroadcast. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_modem_cell_broadcast_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the cbm was deleted, `FALSE` if `error` is set.

Since: 1.24

### mm_modem_cell_broadcast_delete_sync ()

    gboolean
    mm_modem_cell_broadcast_delete_sync (MMModemCellBroadcast *self,
                                         const gchar *cbm,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously deletes a given MMCbm from the modem.

The calling thread is blocked until a reply is received. See `mm_modem_cell_broadcast_delete()` for the asynchronous version of this method.

#### Parameters

self | A MMModemCellBroadcast. |
cbm | Path of the MMCbm to delete. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the CBM was deleted, `FALSE` if `error` is set.

Since: 1.24

### mm_modem_cell_broadcast_list ()

    void
    mm_modem_cell_broadcast_list (MMModemCellBroadcast *self,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously lists the MMCbm objects in the modem.

When the operation is finished, `callback` will be invoked in the

thread-default main loop

of the thread you are calling this method from. You can then call `mm_modem_cell_broadcast_list_finish()` to get the result of the operation.

See `mm_modem_cell_broadcast_list_sync()` for the synchronous, blocking version of this method.

#### Parameters

self | A MMModemCellBroadcast. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 1.24

### mm_modem_cell_broadcast_list_finish ()

    GList *
    mm_modem_cell_broadcast_list_finish (MMModemCellBroadcast *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `mm_modem_cell_broadcast_list()`.

#### Parameters

self | A MMModem. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_modem_cell_broadcast_list()`. |
error | Return location for error or `NULL`. |

#### Returns

A list of MMCbm objects, or NULL if either not found or `error` is set. The returned value should be freed with `g_list_free_full()` using `g_object_unref()` as GDestroyNotify function.

[element-type ModemManager.Cbm][transfer full]

Since: 1.24

### mm_modem_cell_broadcast_list_sync ()

    GList *
    mm_modem_cell_broadcast_list_sync (MMModemCellBroadcast *self,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously lists the MMCbm objects in the modem.

The calling thread is blocked until a reply is received. See `mm_modem_cell_broadcast_list()` for the asynchronous version of this method.

#### Parameters

self | A MMModemCellBroadcast. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

A list of MMCbm objects, or NULL if either not found or `error` is set. The returned value should be freed with `g_list_free_full()` using `g_object_unref()` as GDestroyNotify function.

[element-type ModemManager.Cbm][transfer full]

Since: 1.24

## Types and Values

### struct MMModemCellBroadcast

    struct MMModemCellBroadcast;

The MMModemCellBroadcast structure contains private data and should only be accessed using the provided API.